#!/bin/sh # # Called by git-commit with one argument, the name of the file # that has the commit message. The hook should exit with non-zero # status after issuing an appropriate message if it wants to stop the # commit. The hook is allowed to edit the commit message file. # # To enable this hook, make this file executable. # avoid [[ which is not POSIX sh. if test "$#" != 1 ; then echo "$0 requires an argument." exit 1 fi if test ! -f "$1" ; then echo "file does not exist: $1" exit 1 fi abort() { cp $1 $1.save cat >&2 <'`" ] ; then abort "$1" "The commit message looks like ChangeLog, please use the git form." fi # Check that lines do not start with '#' (possibly accidental commit, # such as starting the message with '#ifdef', git commits start with '#'. if [ -n "`grep '^#[^[:blank:]]' $1`" ] ; then abort "$1" "Possible accidental comment in the commit message (leading # without space)." fi # From Gerrit Code Review 2.16.15 # # Part of Gerrit Code Review (https://www.gerritcodereview.com/) # # Copyright (C) 2009 The Android Open Source Project # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to in writing, software # distributed under the License is distributed on an "AS IS" BASIS, # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. # See the License for the specific language governing permissions and # limitations under the License. # Do not create a change id if requested if test "false" = "`git config --bool --get gerrit.createChangeId`" ; then exit 0 fi # $RANDOM will be undefined if not using bash, so don't use set -u random=$( (whoami ; hostname ; date; cat $1 ; echo $RANDOM) | git hash-object --stdin) dest="$1.tmp.${random}" trap 'rm -f "${dest}"' EXIT if ! git stripspace --strip-comments < "$1" > "${dest}" ; then echo "cannot strip comments from $1" exit 1 fi if test ! -s "${dest}" ; then echo "file is empty: $1" exit 1 fi # Avoid the --in-place option which only appeared in Git 2.8 # Avoid the --if-exists option which only appeared in Git 2.15 if ! git -c trailer.ifexists=doNothing interpret-trailers \ --trailer "Change-Id: I${random}" < "$1" > "${dest}" ; then echo "cannot insert change-id line in $1" exit 1 fi if ! mv "${dest}" "$1" ; then echo "cannot mv ${dest} to $1" exit 1 fi #------------------ copied gerrit commit-msg hook to handle ChangeId <-- exit 0 # vi:set shiftwidth=4 expandtab: /option> LibreOffice 核心代码仓库文档基金会
summaryrefslogtreecommitdiff
AgeCommit message (Expand)Author
2022-05-21clang-tidy modernize-pass-by-value in canvasNoel Grandin
2021-12-22loplugin:flatten in filter..includeNoel Grandin
2020-11-21tdf#123936 Formatting files in module include with clang-formatPhilipp Hofer
2020-07-16compact namespace: basegfx,canvasNoel Grandin
2020-05-03use more compact namespace syntax in /includeNoel Grandin
2020-04-19loplugin:buriedassign in variousNoel Grandin
2020-02-12move some canvas/ headers inside the moduleNoel Grandin
2019-12-12Remove some redundant user-provided dtorsStephan Bergmann
2019-08-23Mark move ctors/assignments noexceptMike Kaganski
2019-07-16tdf#42949 Fix IWYU warnings in include/Gabor Kelemen
2019-06-30Fix typoAndrea Gelmini
2019-06-29Fix typoAndrea Gelmini
2019-06-29Fix typoAndrea Gelmini
2019-06-29Fix typoAndrea Gelmini
2019-06-26Fix typoAndrea Gelmini
2019-03-05re-land "new loplugin typedefparam""Noel Grandin
2019-03-04Revert "new loplugin typedefparam"Noel Grandin
2019-03-04new loplugin typedefparamNoel Grandin
2019-02-25tdf#42949 Fix IWYU warnings in include/canvas/Gabor Kelemen
2018-11-24remove unused SpriteChangeRecord::ChangeType::noneNoel Grandin
2018-11-13loplugin singlevalfields improvementNoel Grandin
2018-11-01tdf#43671 set emphasis mark of vcl::Font (windows).Mark Hung
2018-10-22pvs-studio: V794 The assignment operator should be protectedCaolán McNamara
2018-08-06loplugin:useuniqueptr in VCLObjectNoel Grandin
2018-07-30Add missing sal/log.hxx headersGabor Kelemen
2018-03-29Use for-range loop in include/canvasJulien Nabet
2018-03-14loplugin:unusedmethodsNoel Grandin